player_log_get_state Struct Reference

Request/reply: Rewind playback. More...

`#include <player_interfaces.h>`

## Public Attributes

uint8_t | type
| The type of log device, either PLAYER_LOG_TYPE_READ or PLAYER_LOG_TYPE_WRITE.
uint8_t | state
| Logging/playback state: FALSE=disabled, TRUE=enabled.

## Detailed Description

Request/reply: Rewind playback.

To rewind log playback to beginning of logfile, send a PLAYER_LOG_REQ_SET_READ_REWIND request. Does not affect playback state (i.e., whether it is started or stopped. Null response. Request/reply: Get state.

To find out whether logging/playback is enabled or disabled, send a null PLAYER_LOG_REQ_GET_STATE request.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45